%global momorel 7

Name:           perl-Gtk2-Spell
Version:        1.03
Release: %{momorel}m%{?dist}
Summary:        Gtk2::Spell perl module

Group:     Development/Libraries
License:   LGPL
URL:       http://search.cpan.org/dist/Gtk2-Spell/
Source0: http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Gtk2-Spell-%{version}.tar.gz 
NoSource: 0
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, perl-Gtk2, perl-Glib, perl-ExtUtils-Depends
BuildRequires:  perl-ExtUtils-PkgConfig, gtkspell-devel
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl bindings to GtkSpell, used in concert with Gtk2::TextView. Provides
mis-spelled word highlighting in red and offers a right click pop-up menu with
suggested corrections.

%prep
%setup -q -n Gtk2-Spell-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*


%check
# We do not run make test, as it requires an active X11-session.  I rather
# suspect this won't work under mock/plague :)
#make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README gtkspell_simple.pl AUTHORS LICENSE ChangeLog 
%{perl_vendorarch}/auto/Gtk2/*
%{perl_vendorarch}/Gtk2/*
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (1.03-7m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.03-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.03-4m)
- %%NoSource -> NoSource

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.03-3m)
- use vendor

* Sat Mar 24 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.03-2m)
- modify requires and buildrequires

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.03-1m)
- import to Momonga from Fedora Development


* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-5
- bump for mass rebuild

* Sat Feb 18 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-4
- fixups per #5

* Thu Feb 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.03-1
- fixups, initial spec

